<?php
/**
 * Admin Functions for Options Framework
  */
 

/**
 * Head Hook
 *
 * @since 1.0.0
 */
function of_head() { do_action( 'of_head' ); }

/**
 * Add default options upon activation else DB does not exist
 *
 * @since 1.0.0
 */
function of_option_setup()	
{
	global $of_options, $options_machine;
	$options_machine = new Options_Machine($of_options);
		
	if (!get_option(OPTIONS))
	{
		update_option(OPTIONS,$options_machine->Defaults);
	}
}

/**
 * Change activation message
 *
 * @since 1.0.0
 */
function optionsframework_admin_message() { 
	
	//Tweaked the message on theme activate
	?>
    <script type="text/javascript">
    jQuery(function(){
        var message = '<h3>THEME SHARED ON WPLOCKER.COM - Welcome to JustLanded - and thank you your purchase.</h3><p>This theme comes with a powerful <b><a href="<?php echo admin_url('admin.php?page=optionsframework'); ?>">options panel</a></b> to customize the theme and edit your landing page.</p><p>For more information on how to set up your first landing page, please refer to the documentation. Importing the demo data that ships with the theme may be a good starting point! Good luck with JustLanded -- and don\'t forget, we provide free premium support in case you need any help!</p><p>The documentation also contains a list of plug-ins we recommend for use with JustLanded.</p><p>This theme also supports widgets, please visit the <a href="<?php echo admin_url('widgets.php'); ?>">widgets settings page</a> to configure them.</p><p><a class="back button button-primary" href="<?php echo admin_url('admin.php?page=optionsframework'); ?>">JustLanded Options Panel</a></p>';
    	jQuery('.themes-php #message2').html(message);
    });
    </script>
    <?php
	
}

/**
 * Get header classes
 *
 * @since 1.0.0
 */
function of_get_header_classes_array() 
{
	global $of_options;
	
	foreach ($of_options as $value) 
	{
		if ($value['type'] == 'heading' || $value['type'] == 'subheading')
			$hooks[] = str_replace(' ','',strtolower($value['name']));	
	}
	
	return $hooks;
}


/**
 * For use in themes
 *
 * @since forever
 */
$data = get_option(OPTIONSPREFIX.SITE_DEFAULT_PROFILE);
do_action('justlanded_after_options'); // custom hook

