<?php
do_action("justlanded_before_dynamic_css_output");

$fonts = array();
if (isset($data) && is_array($data)) {

    foreach ($data as $option => $option_settings) {
        if (substr_count($option, "font_") > 0 && isset($option_settings['face']) && substr_count(@$option_settings['face'], "*") == 0 && @$option_settings['face'] != "" && @$option_settings['face'] != "#") {
            @$face  =   $option_settings['face'];
            @$style =   $option_settings['style'];
            if (isset($option_settings['subset'])) @$subsets = $option_settings['subset']; else $subsets = "";
            $fonts[$face]['styles'][] = $style;
            if (is_array($subsets)) {
                foreach ($subsets as $subset => $checked) {
                    $fonts[$face]['subsets'][] = $subset;
                }
            }
            if (isset($fonts[$face]['styles'])) $fonts[$face]['styles'] = array_unique ($fonts[$face]['styles']);
            if (isset($fonts[$face]['subsets'])) $fonts[$face]['subsets'] = array_unique ($fonts[$face]['subsets']);
        }
    }
    foreach ($fonts as $face => $font_settings) {
        $styles = "";
        $subsets = "";
        if (isset($font_settings['styles'])) $styles  = rtrim(trim(implode(",", $font_settings['styles'])), ",");
        if (isset($font_settings['subsets'])) $subsets = rtrim(trim(implode(",", $font_settings['subsets'])), ",");

        if ($subsets != "") {
            $subsets = '&subset=' . $subsets;
        }
        echo '@import url(http://fonts.googleapis.com/css?family='.str_replace(" ", "+", $face).':'.$styles.$subsets.');' . "\n";
    }
}
?>

<?php do_action("justlanded_dynamic_css_after_fonts_init"); ?>

body {
background:<?php echo @$data['body_background'];?>;
}

a, #phone a {
color: <?php echo @$data['link_color'];?>;
}

a:hover {
color: <?php echo @$data['link_color_hover'];?>;
}

.section_gallery img:hover {
border: 3px solid <?php echo @$data['link_color_hover'];?>;
}

blockquote footer div {
color: <?php echo @$data['link_color'];?>;
}

.tagcloud a:hover {
background-color: <?php echo @$data['link_color_hover'];?>;
border: 1px solid <?php echo @$data['link_color_hover'];?>;
}


#banner {
background: <?php echo @$data['banner_gradient']['start'];?>;
background: -moz-linear-gradient(top, <?php echo @$data['banner_gradient']['start'];?> 0%, <?php echo @$data['banner_gradient']['end'];?> 100%);
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,<?php echo @$data['banner_gradient']['start'];?>), color-stop(100%,<?php echo @$data['banner_gradient']['end'];?>));
background: -webkit-linear-gradient(top, <?php echo @$data['banner_gradient']['start'];?> 0%,<?php echo @$data['banner_gradient']['end'];?> 100%);
background: -o-linear-gradient(top, <?php echo @$data['banner_gradient']['start'];?> 0%,<?php echo @$data['banner_gradient']['end'];?> 100%);
background: -ms-linear-gradient(top, <?php echo @$data['banner_gradient']['start'];?> 0%,<?php echo @$data['banner_gradient']['end'];?> 100%);
background: linear-gradient(to bottom, <?php echo @$data['banner_gradient']['start'];?> 0%,<?php echo @$data['banner_gradient']['end'];?> 100%);
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='<?php echo @$data['banner_gradient']['start'];?>', endColorstr='<?php echo @$data['banner_gradient']['end'];?>',GradientType=0 );
}

.menu .current-menu-item a, .current-menu-parent a, .current_page_parent a {
background: <?php echo @$data['menu_background_active'];?>;
}

#navigation_elements {
border-bottom: 5px solid <?php echo @$data['menu_background_active'];?>;
}

<?php if (isset($data['hide_page_title']) && $data['hide_page_title'] == 1) { ?>
#logo h1 span {
display:none !important;
}
#logo h2#site-description {
display:none !important;
}
<?php } ?>

.newsletter_inner {
background-color: <?php echo @$data['newsletter_background'];?>;
}

.newsletter form {
border: 1px solid  <?php echo @$data['newsletter_background'];?>;
}

.highlighted .pricing_header, .highlighted .pricing_footer {
background-color: <?php echo @$data['pricing_highlight_background'];?>;
}

.highlighted.pricing_block:hover .pricing_header, .highlighted.pricing_block:hover .pricing_footer {
background-color:<?php echo @$data['pricing_highlight_hover_background'];?>;
}

input#submit_comment, input.wpcf7-submit {
background: <?php echo @$data['blog_button_background'];?>;
}


/* Global Font Styles */
body {
<?php echo justlanded_get_font_style('font_body'); ?>
}

#logo h1, #logo a { /* Logo */
<?php echo justlanded_get_font_style('font_logo'); ?>
}
#logo h2 { /* Logo Tagline */
<?php echo justlanded_get_font_style('font_logo_tagline'); ?>
}

/* Quotes */
.entry-content blockquote {
<?php echo justlanded_get_font_style('font_quotes'); ?>
}

/* Blog Font Styles */
h1 {
<?php echo justlanded_get_font_style('font_heading_h1'); ?>
}

h2 {
<?php echo justlanded_get_font_style('font_heading_h2'); ?>
}

h3 {
<?php echo justlanded_get_font_style('font_heading_h3'); ?>
}

h4 {
<?php echo justlanded_get_font_style('font_heading_h4'); ?>
}

h5 {
<?php echo justlanded_get_font_style('font_heading_h5'); ?>
}

h6 {
<?php echo justlanded_get_font_style('font_heading_h6'); ?>
}

/* Single Page Title */
h1.page-title, .type-page h1.entry-title {
<?php echo justlanded_get_font_style('font_page_title'); ?>
}

/* Widget Title */
h3.widget-title {
<?php echo justlanded_get_font_style('font_widget_title'); ?>
}

/* Meta */

.entry-meta, .entry-meta a {
<?php echo justlanded_get_font_style('font_post_meta'); ?>
}

/* Font styles used for Landing Page */

/* Banner Heading */

#banner h1 {
<?php echo justlanded_get_font_style('font_heading_banner'); ?>
}

#banner h2 {
color: <?php echo $data['font_heading_banner']['color']; ?>;
}


/* Section Title */

.page-template-landingpage-php h2 {
<?php echo justlanded_get_font_style('font_section_title'); ?>
}

/* Section Subtitle */

.page-template-landingpage-php h3 {
<?php echo justlanded_get_font_style('font_section_subtitle'); ?>
}

/* Newsletter */

.newsletter_inner h2 {
<?php echo justlanded_get_font_style('font_newsletter_title'); ?>
}

/* Big Testimonial */

.testimonial_big q {
<?php echo justlanded_get_font_style('font_big_testimonial'); ?>
}

/* Pricing Table */

.pricing_header h4 {
<?php echo justlanded_get_font_style('font_pricing_title'); ?>
}

.pricing_header h5 {
<?php echo justlanded_get_font_style('font_pricing_sub_title'); ?>
}

.highlighted .pricing_header h5 {
color:<?php echo @$data['font_pricing_sub_title_featured']; ?>;
}

.price {
<?php echo justlanded_get_font_style('font_pricing_price'); ?>
}

.price span {
font-size: <?php echo @$data['font_pricing_currency']['size'].@$data['font_pricing_currency']['unit']."\n"; ?>
}

<?php do_action("justlanded_before_custom_css"); ?>

<?php
$global_css = get_option(THEMENAME.'_global_custom_css');
echo $global_css;
?>

<?php echo @$data['custom_css']; ?>

<?php do_action("justlanded_after_dynamic_css_output"); ?>
