<?php
/*
    layout blocks
*/

if (!function_exists('justlanded_clean_content')) {
function justlanded_clean_content($content)
{
    $content = preg_replace( '#^<\/p>|^<br \/>|<p>$#', '', $content );
    $content = preg_replace( '#<br \/>#', '', $content );
    $content = preg_replace( '#<p>|</p>#', '', $content );
    return do_shortcode( shortcode_unautop( trim( $content ) ) );
}
}

if (!function_exists('justlanded_shortcode_one_half')) {
function justlanded_shortcode_one_half( $attrs, $content = null ) {
    extract(shortcode_atts(array(
    'last'	=> 'no',
    ), $attrs));
    $last_class = '';
    if ($last == 'yes') $last_class = ' last';
	$out =  '<div class="one_half'.$last_class.'">'.do_shortcode($content).'</div>';
    if ($last == 'yes') $out .= '<div class="clear"></div>'. "\n";
    return $out;
}
}

if (!function_exists('justlanded_shortcode_one_third')) {
function justlanded_shortcode_one_third( $attrs, $content = null ) {
    extract(shortcode_atts(array(
        'last'	=> 'no',
    ), $attrs));
    $last_class = '';

    if ($last == 'yes') $last_class = ' last';
    $out =  '<div class="one_third'.$last_class.'">'.do_shortcode($content).'</div>';
    if ($last == 'yes') $out .= '<div class="clear"></div>'. "\n";
    return $out;
}
}

if (!function_exists('justlanded_shortcode_two_thirds')) {
function justlanded_shortcode_two_thirds( $attrs, $content = null ) {
    extract(shortcode_atts(array(
        'last'	=> 'no',
    ), $attrs));
    $last_class = '';
    if ($last == 'yes') $last_class = ' last';
    $out =  '<div class="two_thirds'.$last_class.'">'.do_shortcode($content).'</div>';
    if ($last == 'yes') $out .= '<div class="clear"></div>'. "\n";
    return $out;
}
}

if (!function_exists('justlanded_shortcode_three_fourths')) {
function justlanded_shortcode_three_fourths($attrs, $content = null ) {
    extract(shortcode_atts(array(
        'last'	=> 'no',
    ), $attrs));
    $last_class = '';
    if ($last == 'yes') $last_class = ' last';
    $out =  '<div class="three_fourths'.$last_class.'">'.do_shortcode($content).'</div>';
    if ($last == 'yes') $out .= '<div class="clear"></div>'. "\n";
    return $out;
}
}

if (!function_exists('justlanded_shortcode_one_fourth')) {
function justlanded_shortcode_one_fourth($attrs, $content = null ) {
    extract(shortcode_atts(array(
        'last'	=> 'no',
    ), $attrs));
    $last_class = '';
    if ($last == 'yes') $last_class = ' last';
    $out =  '<div class="one_fourth'.$last_class.'">'.do_shortcode($content).'</div>';
    if ($last == 'yes') $out .= '<div class="clear"></div>'. "\n";
    return $out;
}
}

if (!function_exists('justlanded_shortcode_clearfix')) {
function justlanded_shortcode_clearfix($attrs, $content = null ) {
    $out = '<div class="clear"></div>';
    return $out;
}
}

/*
    list styles
*/
if (!function_exists('justlanded_shortcode_list')) {
function justlanded_shortcode_list($attrs, $content = null ) {
    extract(shortcode_atts(array(
        'style'	=> 'check',
    ), $attrs));
    $out =  '<div class="list_'.$style.'">'.do_shortcode(shortcode_unautop($content)).'</div>';
    return $out;
}
}

/*
    landing page blocks
*/

if (!function_exists('justlanded_landing_block')) {
function justlanded_landing_block($attrs, $content = null ) {
    global $data, $used_blocks;
    // $this_content, $this_atts, $this_block_type, $this_block_id,
    $this_atts = $attrs;
    extract(shortcode_atts(array(
        'type'	=> null,
        'id' => null
    ), $attrs));

    $type = strtolower($type);

    if (isset($id) && $id != null && intval($id != 0)) {
        $this_block_id = $id;
    } else {
        if (!isset($used_blocks[$type])) $used_blocks[$type] = 1; else $used_blocks[$type]++;
        $this_block_id   = $used_blocks[$type];
    }
    $this_block_type = $type;
    $this_content = $content;

    $block_tpl = TEMPLATEPATH . DIRECTORY_SEPARATOR . 'blocks' . DIRECTORY_SEPARATOR . 'block_' . $type . '.php'; // if block template exists, otherwise do nothing
    if (file_exists($block_tpl)) {
        $out = justlanded_get_block($block_tpl,
            array(
                'this_content' => $this_content,
                'this_atts' => $this_atts,
                'this_block_type' => $this_block_type,
                'this_block_id' => $this_block_id
            )
        );
    }
    else {
        // do nothing
        $out = "<p>No block '".$type."' found (".$block_tpl.")</p>";
    }
    return $out;
}
}

// misc utility shortcodes
if (!function_exists('justlanded_option')) {
function justlanded_option($attrs, $content = null ) {
    global $data;
    $this_atts = $attrs;
    extract(shortcode_atts(array(
        'key' => null
    ), $attrs));

    if ($key == null || !isset($data[$key])) return "";
    return $data[$key];
}
}


if (!function_exists('justlanded_video')) {
function justlanded_video($attrs, $content = null ) {
    $this_atts = $attrs;
    extract(shortcode_atts(array(
        'url' => null
    ), $attrs));
    echo apply_filters('embed_oembed_html', wp_oembed_get(do_shortcode((stripslashes($url)))));
}
}


// landing page blocks
add_shortcode('landing_block', 'justlanded_landing_block');
add_shortcode('landing_block_custom', 'justlanded_landing_block');

// layout columns
add_shortcode('one_half', 'justlanded_shortcode_one_half');
add_shortcode('one_third', 'justlanded_shortcode_one_third');
add_shortcode('two_thirds', 'justlanded_shortcode_two_thirds');
add_shortcode('three_fourths', 'justlanded_shortcode_three_fourths');
add_shortcode('one_fourth', 'justlanded_shortcode_one_fourth');

add_shortcode('clearfix', 'justlanded_shortcode_clearfix');

// misc utility shortcodes
add_shortcode('justlanded_option', 'justlanded_option');
add_shortcode('justlanded_video', 'justlanded_video');


// list styles
add_shortcode('list', 'justlanded_shortcode_list');
